set distScript {
New Archive "Internal:Desktop Folder:Alpha 5.3.sea"
Use "Alpha 5.3.sea"
Stuff "Internal:C:Alpha:Alpha 5.3" compress 
Stuff "Internal:C:Alpha:Changes" compress 
Stuff "Internal:C:Alpha:Help:" compress 
Stuff "Internal:C:Alpha:README" compress 
Stuff "Internal:C:Alpha:Tcl:" compress 
Stuff "Internal:C:Alpha:xtcls:" compress 
Quit
}

set backupScript {
Write Status To 
New Archive "External:Desktop Folder:Alpha.source.5.3.sea"
Use "Alpha.source.5.3.sea"
Stuff "Internal:C:Alpha:Alpha" compress 
Stuff "Internal:C:Alpha:Alpha.rsrc" compress 
Stuff "Internal:C:Alpha:Changes" compress 
Stuff "Internal:C:Alpha:Help:" compress 
Stuff "Internal:C:Alpha:README" compress 
Stuff "Internal:C:Alpha:Tcl:" compress 
Stuff "Internal:C:Alpha:xtcls:" compress 
Stuff "Internal:C:Alpha:EditSource:" compress 
Stuff "Internal:C:Alpha:Tcl 6.2:" compress 
Quit
}

proc createStuffitArchive {} {
	global distScript
	sendStuffitScript $distScript
}

proc backupSource {} {
	global backupScript
	sendStuffitScript $backupScript
}

proc sendStuffitScript script {
	regexp {[0-9.]+} [version] vers
	if ![regsub -all {5.[0-9]+} $script $vers outScript] {
		alertnote "Script substitution error"
		return
	}
	launch "External:Utils:StuffIt Deluxe"
	dosc -n "StuffIt Deluxe" -r -s $outScript
}


